All the topics, initially was a little difficult to understand. But with time i got used to it. 
The feature that i should have known earlier in my career was how to use git using the command line.
Manually inputting lines of commands was something i wish i knew earlier. 
The .gitignore will change the way i work with git. Very, important. So far i think all the features are all useful. 